import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import './assets/font/iconfont.css';
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import _ from 'lodash';

Vue.use(ElementUI);
import { Input, Modal, Cascader, Popover, Icon, Pagination, Loading, Checkbox, Button } from 'meri-design';
import { Select } from 'ant-design-vue';
// 按需引入公共组件
Vue.use(Input)
Vue.use(Select)
Vue.use(Modal)
Vue.use(Cascader)
Vue.use(Popover)
Vue.use(Icon)
Vue.use(Pagination)
Vue.use(Checkbox)
Vue.use(Button)
Vue.prototype.$loading = Loading;
Vue.prototype._ = _
Vue.config.productionTip = false;
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
